SDL_EnumerateDirectory(3)

NAME
SDL_EnumerateDirectory - Enumerate a directory through a callback function.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_EnumerateDirectory(const char *path, SDL_EnumerateDirectoryCallback callback, void *userdata);

DESCRIPTION
This function provides every directory entry through an app-provided callback, called once for each directory entry, until all results have been provided or the callback returns <= 0.

FUNCTION PARAMETERS

path
    the path of the directory to enumerate

callback
    a function that is called for each entry in the directory

userdata
    a pointer that is passed to callback

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.